Description: Force usage of old mesh format since Gmsh 4 uses new by default
Author: Kurt Kremitzki <kurt@kwk.systems>
Forwarded: not-needed
Last-Updated: 2019-02-09
--- a/inst/msh2m_gmsh.m
+++ b/inst/msh2m_gmsh.m
@@ -78,7 +78,7 @@
   msh_name = strcat (tmpnam (), ".msh");
   fclose (fopen (msh_name, "w"));
 
-  [status, gmsh_output] = system (["gmsh -format msh -2 -o " msh_name optstring " " geometry ".geo 2>&1 "]);
+  [status, gmsh_output] = system (["gmsh -format msh2 -2 -o " msh_name optstring " " geometry ".geo 2>&1 "]);
   if (status)
     error ("msh2m_gmsh: the gmesh subprocess exited abnormally");
   endif
@@ -196,4 +196,4 @@
 %! fclose (fid);
 %! mesh = msh2m_gmsh (canonicalize_file_name (name)(1:end-4), "clscale", ".5");
 %! trimesh (mesh.t(1:3,:)', mesh.p(1,:)', mesh.p(2,:)');
-%! unlink (canonicalize_file_name (name));
\ No newline at end of file
+%! unlink (canonicalize_file_name (name));
--- a/inst/msh3m_gmsh.m
+++ b/inst/msh3m_gmsh.m
@@ -80,7 +80,7 @@
   msh_name = strcat (tmpnam (), ".msh");
   fclose (fopen (msh_name, "w"));
 
-  [status, gmsh_output] = system (["gmsh -format msh -3 -o " msh_name optstring " " geometry ".geo 2>&1"]);
+  [status, gmsh_output] = system (["gmsh -format msh2 -3 -o " msh_name optstring " " geometry ".geo 2>&1"]);
   if (status)
     error ("msh3m_gmsh: the gmesh subprocess exited abnormally");
   endif
@@ -158,4 +158,4 @@
   unlink (s_filename);
   unlink (msh_name);
 
-endfunction
\ No newline at end of file
+endfunction
